
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:				gfal2-utils
Version:			0.0.14
Release:			0.1.alpha%{?dist}
Summary:			GFAL2 utility tools
Group:				Applications/Internet
License:			ASL 2.0
URL:				https://svnweb.cern.ch/trac/lcgutil/wiki/gfal2
# svn export http://svn.cern.ch/guest/lcgutil/gfal2-utils/trunk gfal2
Source0:			http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}alpha.tar.gz
BuildRoot:			%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#main lib dependencies
BuildRequires:                  cmake

Requires:			gfal2-python

%description
gfal2-utils is a set of basic utility tools
for file interactions and file copy
based on the GFAL2 toolkit

%clean
rm -rf %{buildroot};
make clean

%prep
%setup -q

%build
%cmake -DDOC_INSTALL_DIR=%{_docdir}/%{name}-%{version} .

%install
make DESTDIR=%{buildroot} install

%files
%defattr (-,root,root)
%{python_sitearch}/gfal2_utils/*
%{_bindir}/gfal-*
%doc RELEASE-NOTES VERSION


%changelog
* Thu Nov 29 2012 Adrien Devresse <adevress at cern.ch> - 0.0.14-0.1.alpha
 - initial release of gfal-copy logic with basic third-party and copy support
 - initial release of gfal-sum, the checksum calculation tool
 - initial release of gfal-rm, remove file tools
 - add support for spacetokens inside gfal-copy
 - add fast cancel operation support inside gfal2-utils
 - preview and demonstration purpose only


* Fri Aug 03 2012 Adrien Devresse <adevress at cern.ch> -  0.0.9-0
 - initial preview release
